<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "product.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `barcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `cost` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `rate` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        if (in_array($searchTerm, ["yes", "y", "1"])) {
            $searchTerm = "1";
        } elseif (in_array($searchTerm, ["no", "n", "none", "0"])) {
            $searchTerm = "";
        }
        $cond = "AND `pouchflag` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `barcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `cost` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `rate` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        if (in_array($searchTerm, ["yes", "y", "ye", "1"])) {
            $searchTerm = "1";
        } elseif (in_array($searchTerm, ["no", "n", "none", "0"])) {
            $searchTerm = "0";
        }
        $cond = "AND `pouchflag` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `barcode`";
} else if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `cost`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `rate`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `pouchflag`";
}

$ordcond = " ASC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
//browse($cond);
$query = "SELECT * FROM `product` where code != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $pouch = ($r['pouchflag'] == '1') ? 'Yes' : "No";
    $rows[] = [ 'success'    => true,
                'value'      => $ctr,
                'keyfld'     => $keyfld,
                'code'   => $r['code'],
                'barcode'   => $r['barcode'],
                'name'       => $r['name'],
                'type'       => $r['type'],
                'origin'       => $r['origin'],
                'bbf'       => $r['bbf'],
                'batch'       => $r['batch'],
                'unit'       => $r['unit'],
                'pouch'       => $pouch,
                'action'     => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
